/**
 * @typedef {Object} InlineSvgOptions
 * @property {string} directory - The directory path for SVG files
 * @property {string[]} [acceptedExtensions=[]] - Array of accepted file extensions
 */
/**
 * @type (options:InlineSvgOptions) => Visitor<CustomAtRules>
 */
export const inlineSvgVisitor: (options: InlineSvgOptions) => Visitor<CustomAtRules>;
export type InlineSvgOptions = {
    /**
     * - The directory path for SVG files
     */
    directory: string;
    /**
     * - Array of accepted file extensions
     */
    acceptedExtensions?: string[] | undefined;
};
import type { CustomAtRules } from 'lightningcss';
import type { Visitor } from 'lightningcss';
